summarylogtreecommitdiffstats
path: root/lombok-sts.install
diff options
context:
space:
mode:
Diffstat (limited to 'lombok-sts.install')
-rw-r--r--lombok-sts.install16
1 files changed, 7 insertions, 9 deletions
diff --git a/lombok-sts.install b/lombok-sts.install
index c404e8801896..e65631969419 100644
--- a/lombok-sts.install
+++ b/lombok-sts.install
@@ -1,19 +1,17 @@
# Colored makepkg-like functions by Det
-msg_blue() {
- printf "${blue}==>${bold} $1${all_off}\n"
-}
-
-note() {
- printf "${blue}==>${yellow} NOTE:${bold} $1${all_off}\n"
-}
all_off="$(tput sgr0)"
bold="${all_off}$(tput bold)"
blue="${bold}$(tput setaf 4)"
yellow="${bold}$(tput setaf 3)"
+note() {
+ printf "${blue}==>${yellow} NOTE:${bold} $1${all_off}\n"
+}
+
post_install() {
- java -jar /usr/lib/lombok-common/lombok.jar install /opt/sts-*/ || exit 1
+ java -jar /usr/lib/lombok-common/lombok.jar install /opt/sts-4.?.?.RELEASE/ && \
+ ln -sf /usr/lib/lombok-common/lombok.jar /opt/sts-4.?.?.RELEASE/lombok.jar || exit 1
note "You must add lombok.jar or lombok-api.jar to the build path of each Lombok-dependent project."
}
@@ -22,6 +20,6 @@ post_upgrade() {
}
pre_remove() {
- java -jar /usr/lib/lombok-common/lombok.jar uninstall /opt/sts-*/ || exit 1
+ java -jar /usr/lib/lombok-common/lombok.jar uninstall /opt/sts-4.?.?.RELEASE/ || exit 1
}